from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if (getTag(e, "lFlagU") != 0):
      return 1
   else:
      showMessage(e, ["Many ants dart in and out of this domed cavern, whose center is occupied by a quivering mass of flesh and chitin.","",
                      "Her stature is majectic, her stridulations imperial: behold, the ant queen!"])
      setTag(e, "lFlagU", 1)
      return 1
